## pillow 2.3.0

=== docs/requirements.txt ===
# requirements for working on docs

# install pillow from master if you're into that, but RtD needs this
pillow>=2.2.1

Jinja2==2.7.1
MarkupSafe==0.18
Pygments==1.6
Sphinx==1.1.3
docopt==0.6.1
docutils==0.11
wsgiref==0.1.2
sphinx-better-theme==0.1.5

# livereload not strictly necessary but really useful (make livehtml)
tornado==3.1.1
livereload==1.0.1

## pillow 2.2.1

=== debian/changelog ===
pillow (2.2.1-2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix build failure with new freetype header layout.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Dec 2013 18:54:44 +0100

pillow (2.2.1-1) unstable; urgency=low

  * New upstream version, package source as pillow.
  * python-imaging: Breaks fretsonfire-game (<= 1.3.110.dfsg-3).
    Closes: #729209.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Nov 2013 23:48:20 +0000

python-imaging (1.1.7+2.0.0-1.1) unstable; urgency=low

  * Non-maintainer upload
  * Rename python3-imaging* packages to python3-pil*
  * Rename python-imaging to python-pil and python-imaging-compat to
    python-imaging (use python-imaging until given package imports Image
    directly, i.e. needs .pth file)
  * Rename python-imaging-tk to python-pil.imagetk, provide the old name
  * Rename python-imaging-sane to python-sane, provide the old name
  * Rename other python-imaging-* packages to python-pil-* and Provide the old
    names

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 20 Oct 2013 22:23:11 +0200

python-imaging (1.1.7+2.0.0-1) experimental; urgency=low

  * Pillow 2.0.0 release.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Mar 2013 16:44:01 -0700

python-imaging (1.1.7+1.7.8-4) experimental; urgency=low

  * Require python-defaults (>= 2.7.3-11) for the build. Closes: #700716.

 -- Matthias Klose <doko@debian.org>  Thu, 28 Feb 2013 14:59:19 +0100

python-imaging (1.1.7+1.7.8-3) experimental; urgency=low

  * Fix python-tk build dependencies. Closes: #700716.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 18 Feb 2013 02:24:36 +0100

python-imaging (1.1.7+1.7.8-2) experimental; urgency=low

  * Add python-imaging-compat modules to get back the old top-level
    module names (i.e. not subpackages within PIL) for Python 2 only.
  * python-imaging: Depend on python-imaging-compat for now.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Feb 2013 16:48:37 +0100

python-imaging (1.1.7+1.7.8-1) experimental; urgency=low

  * Build from the Pillow fork, version 1.7.8, plus vcs updates.
  * Build using setuptools.
  * Build python3 packages, using port by Brian Crowell.
  * Allow the package to cross-build.

 -- Matthias Klose <doko@debian.org>  Thu, 31 Jan 2013 18:52:38 +0100

python-imaging (1.1.7-4) unstable; urgency=low

  * Add multiarch search directories as given by dpkg-architecture.
    This re-enables support for: tkinter, jpeg, zlib, freetype2, and
    littlecms (Marc Tardif, Barry Warsaw). LP: #806661.
    Closes: #632962, #632180.
  * Build using libjpeg8.

 -- Matthias Klose <doko@debian.org>  Sat, 09 Jul 2011 11:56:15 +0200

python-imaging (1.1.7-3) unstable; urgency=low

  * Fix buffer overflow (taken from Fedora).
  * Fix "split after open" bug. Closes: #561965.
  * Remove obsolete conflicts/replaces.

 -- Matthias Klose <doko@debian.org>  Tue, 28 Jun 2011 18:54:43 +0200

python-imaging (1.1.7-2) unstable; urgency=low

  * Build-depend on liblcms1-dev. Closes: #583620.
  * Build using dh_python2 instead of dh_pycentral.

 -- Matthias Klose <doko@debian.org>  Mon, 26 Jul 2010 11:46:12 +0200

python-imaging (1.1.7-1) unstable; urgency=low

  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Fri, 20 Nov 2009 19:22:59 +0100

python-imaging (1.1.6-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "manipulates site-packages/ directly, failing with Python 2.6"
    Applied and uploaded Kumar's patch. (Closes: #547844)

 -- Bastian Venthur <venthur@debian.org>  Sat, 07 Nov 2009 12:54:12 +0100

python-imaging (1.1.6-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Switch from Tcl/Tk 8.4 to 8.5, following the move initiated in
    python-tk 2.5.2-1.1 (See: #521078):
     - Build-Depends on tk8.5-dev rather than tk8.4-dev.
     - Build-Depends on python-tk-dbg (>= 2.5.2-1.1) rather than
       python-tk-dbg (>= 2.4.3).
     - Depends on/Recommends python-tk (>= 2.5.2-1.1) rathen than
       python-tk (>= 2.4.3).
     - Use /usr/include/tcl8.5 in setup.py, instead of tcl8.4
    Thanks to Jakub Wilk for the patch on which this is based, which fixes
    the FTBFS (Closes: #537003).

 -- Cyril Brulebois <kibi@debian.org>  Thu, 03 Sep 2009 05:04:46 +0200

python-imaging (1.1.6-3) unstable; urgency=low

  * Do not build-depend on python-numarray, it's deprecated. Closes: #478466.
  * Merge from Ubuntu:
    - In __array_interface__ add support for 16bit TIF images (Luke
      Campagnola). LP: #198892.
    - Search for available image viewers. LP: #67755. Closes: #321658.

 -- Matthias Klose <doko@debian.org>  Mon, 23 Jun 2008 21:52:59 +0200

python-imaging (1.1.6-2) unstable; urgency=low

  * Build-depend on python-tk-dbg. Closes: #460372.
  * Apply fix for PIL not saving TIFF dpi correctly. Closes: #419463.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Jan 2008 23:40:28 +0100

python-imaging (1.1.6-1) unstable; urgency=low

  * New upstream version.
  * Merge from Ubuntu:
    - Build python-debug packages.
    - Add build dependency on python-numarray-dbg.
    - Sane/_sane.c: Initialize variable. Ubuntu #88059.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 24 May 2007 06:31:21 +0200

python-imaging (1.1.5-11) unstable; urgency=low

  * python-imaging-sane: Depend on python-numarray. Closes: #382190.
  * Add dependencies on ${shlibs:Depends}, lost in -6. Closes: #378596.

 -- Matthias Klose <doko@debian.org>  Mon, 28 Aug 2006 23:14:10 +0000

python-imaging (1.1.5-10) unstable; urgency=low

  * pilfont.py: Add interpreter name. Closes: #350146.

 -- Matthias Klose <doko@debian.org>  Sat,  8 Jul 2006 00:07:36 +0000

python-imaging (1.1.5-9) unstable; urgency=low

  * Call dh_python before dh_pycentral.

 -- Matthias Klose <doko@debian.org>  Wed, 14 Jun 2006 23:16:29 +0000

python-imaging (1.1.5-8) unstable; urgency=low

  * Do not depend on python2.4.

 -- Matthias Klose <doko@debian.org>  Tue, 13 Jun 2006 22:47:12 +0000

python-imaging (1.1.5-7) unstable; urgency=low

  * Readd the provides for the versioned packages.



=== debian/control ===
Source: pillow
Section: python
Priority: optional
Maintainer: Matthias Klose <doko@debian.org>
Build-Depends: debhelper, tk8.5-dev, dpkg-dev (>= 1.16.1~),
  python-all-dev (>= 2.7.3-11~), python-all-dbg, python-setuptools,
  python3-all-dev (>= 3.3), python3-all-dbg, python3-setuptools,
  python-tk, python-tk-dbg, python3-tk, python3-tk-dbg (>= 3.3),
  libsane-dev, libfreetype6-dev, libjpeg8-dev, zlib1g-dev, liblcms1-dev,
Build-Conflicts: python-numarray
Standards-Version: 3.9.5

Package: python-pil
Architecture: any
Depends: ${python:Depends}, mime-support | python-pil.imagetk,
  ${shlibs:Depends}, ${misc:Depends}
Suggests: python-pil-doc, python-pil-dbg
Provides: ${python:Provides}, python-pillow
Breaks: python-imaging (<< 1.1.7+2.0.0-1.1)
Replaces: python-imaging (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library (Pillow fork)
 The Python Imaging Library (PIL) adds an image object to your Python
 interpreter. You can load images from a variety of file formats, and
 apply a rich set of image operations to them.
 .
 Image Objects:
  o Bilevel, greyscale, palette, true colour (RGB), true colour with
    transparency (RGBA).
  o colour separation (CMYK).
  o Copy, cut, paste operations.
  o Flip, transpose, resize, rotate, and arbitrary affine transforms.
  o Transparency operations.
  o Channel and point operations.
  o Colour transforms, including matrix operations.
  o Image enhancement, including convolution filters.
 .
 File Formats:
  o Full (Open/Load/Save): BMP, EPS (with ghostscript), GIF, IM, JPEG,
    MSP, PDF, PNG, PPM, TIFF, XBM.
  o Read only (Open/Load): ARG, CUR, DCX, FLI, FPX, GBR, GD, ICO, IMT, IPTC,
    MCIDAS, MPEG, PhotoCD, PCX, PIXAR, PSD, TGA, SGI, SUN, TGA, WMF, XPM.
  o Save only: PDF, EPS (without ghostscript).

Package: python-pil-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-pil (= ${binary:Version}), python-dbg,
  ${shlibs:Depends}, ${misc:Depends}
Provides: python-imaging-dbg
Breaks: python-imaging-dbg (<< 1.1.7+2.0.0-1.1)
Replaces: python-imaging-dbg (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library (debug extension)
 The Python Imaging Library (PIL) adds an image object to your Python
 interpreter. You can load images from a variety of file formats, and
 apply a rich set of image operations to them.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-pil.imagetk
Architecture: any
Depends: python-pil (= ${binary:Version}), python-tk (>= 2.5.2-1.1),
  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-pil-doc, python-pil.imagetk-dbg
Provides: ${python:Provides}, python-imaging-tk
Breaks: python-imaging-tk (<< 1.1.7+2.0.0-1.1)
Replaces: python-imaging-tk (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library - ImageTk Module (Pillow fork)
 Tk dependent python-pil module.

Package: python-pil.imagetk-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-pil.imagetk (= ${binary:Version}),
  python-pil-dbg (= ${binary:Version}),
  python-dbg, ${shlibs:Depends}, ${misc:Depends}
Provides: python-imaging-tk-dbg
Breaks: python-imaging-tk-dbg (<< 1.1.7+2.0.0-1.1)
Replaces: python-imaging-tk-dbg (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library - ImageTk Module (debug extension)
 Tk dependent python-pil module.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-sane
Architecture: any
Depends: python-pil (= ${binary:Version}), ${python:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: python-tk (>= 2.5.2-1.1)
Suggests: python-pil-doc, python-sane-dbg
Provides: ${python:Provides}, python-imaging-sane
Breaks: python-imaging-sane (<< 1.1.7+2.0.0-1.1)
Replaces: python-imaging-sane (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library - SANE interface (Pillow fork)
 The imaging-sane module is a Python interface to the SANE (Scanner
 Access is Now Easy) library, which provides access to various raster
 scanning devices such as flatbed scanners and digital cameras.

Package: python-sane-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-sane (= ${binary:Version}),
  python-pil-dbg (= ${binary:Version}),
  python-dbg, ${shlibs:Depends}, ${misc:Depends}
Provides: python-imaging-sane-dbg
Breaks: python-imaging-sane-dbg (<< 1.1.7+2.0.0-1.1)
Replaces: python-imaging-sane-dbg (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library - SANE interface (debug extension)
 The imaging-sane module is a Python interface to the SANE (Scanner
 Access is Now Easy) library, which provides access to various raster
 scanning devices such as flatbed scanners and digital cameras.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-pil
Architecture: any
Depends: ${python3:Depends}, mime-support | python3-pil.imagetk,
  ${shlibs:Depends}, ${misc:Depends}
Suggests: python-pil-doc, python3-pil-dbg
Provides: ${python:Provides}, python3-pillow
Conflicts: python3-imaging (<< 1.1.7+2.0.0-1.1)
Breaks: python3-imaging (<< 1.1.7+2.0.0-1.1)
Replaces: python3-imaging (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library (Python3)
 The Python Imaging Library (PIL) adds an image object to your Python
 interpreter. You can load images from a variety of file formats, and
 apply a rich set of image operations to them.
 .
 Image Objects:
  o Bilevel, greyscale, palette, true colour (RGB), true colour with
    transparency (RGBA).
  o colour separation (CMYK).
  o Copy, cut, paste operations.
  o Flip, transpose, resize, rotate, and arbitrary affine transforms.
  o Transparency operations.
  o Channel and point operations.
  o Colour transforms, including matrix operations.
  o Image enhancement, including convolution filters.
 .
 File Formats:
  o Full (Open/Load/Save): BMP, EPS (with ghostscript), GIF, IM, JPEG,
    MSP, PDF, PNG, PPM, TIFF, XBM.
  o Read only (Open/Load): ARG, CUR, DCX, FLI, FPX, GBR, GD, ICO, IMT, IPTC,
    MCIDAS, MPEG, PhotoCD, PCX, PIXAR, PSD, TGA, SGI, SUN, TGA, WMF, XPM.
  o Save only: PDF, EPS (without ghostscript).

Package: python3-pil-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python3-pil (= ${binary:Version}), python3-dbg,
  ${shlibs:Depends}, ${misc:Depends}
Breaks: python3-imaging-dbg (<< 1.1.7+2.0.0-1.1)
Replaces: python3-imaging-dbg (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library (Python3 debug extension)
 The Python Imaging Library (PIL) adds an image object to your Python
 interpreter. You can load images from a variety of file formats, and
 apply a rich set of image operations to them.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-pil.imagetk
Architecture: any
Depends: python3-pil (= ${binary:Version}),
  python3-tk (>= 2.5.2-1.1),
  ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-pil-doc, python3-pil.imagetk-dbg
Provides: ${python:Provides}
Breaks: python3-imaging-tk (<< 1.1.7+2.0.0-1.1)
Replaces: python3-imaging-tk (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library - ImageTk Module (Python3)
 Tk dependent python-pil module.

Package: python3-pil.imagetk-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python3-pil.imagetk (= ${binary:Version}),
  python3-pil-dbg (= ${binary:Version}),
  python3-dbg, ${shlibs:Depends}, ${misc:Depends}
Breaks: python3-imaging-tk-dbg (<< 1.1.7+2.0.0-1.1)
Replaces: python3-imaging-tk-dbg (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library - ImageTk Module (Python3 debug extension)
 Tk dependent python-pil module.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python3-sane
Architecture: any
Depends: python3-pil (= ${binary:Version}), ${python3:Depends},
  ${shlibs:Depends}, ${misc:Depends}
Recommends: python3-tk (>= 2.5.2-1.1)
Suggests: python-pil-doc, python3-sane-dbg
Provides: ${python3:Provides}
Breaks: python3-imaging-sane (<< 1.1.7+2.0.0-1.1)
Replaces: python3-imaging-sane (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library - SANE interface (Python3)
 The imaging-sane module is a Python interface to the SANE (Scanner
 Access is Now Easy) library, which provides access to various raster
 scanning devices such as flatbed scanners and digital cameras.

Package: python3-sane-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python3-sane (= ${binary:Version}),
  python3-pil-dbg (= ${binary:Version}),
  python3-dbg, ${shlibs:Depends}, ${misc:Depends}
Breaks: python3-imaging-sane-dbg (<< 1.1.7+2.0.0-1.1)
Replaces: python3-imaging-sane-dbg (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library - SANE interface (Python 3debug extension)
 The imaging-sane module is a Python interface to the SANE (Scanner
 Access is Now Easy) library, which provides access to various raster
 scanning devices such as flatbed scanners and digital cameras.
 .
 This package contains the extension built for the Python debug interpreter.

Package: python-pil-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: python-pil-doc-html, python-pil-doc-pdf,
  python-doc, python3-pil | python-pil, python3-pil.imagetk | python-pil.imagetk
Provides: python-imaging-doc
Breaks: python-imaging-doc (<< 1.1.7+2.0.0-1.1)
Replaces: python-imaging-doc (<< 1.1.7+2.0.0-1.1)
Description: Examples for the Python Imaging Library
 The Python Imaging Library (PIL) adds an image object to your
 Python interpreter. You can load image objects from a variety of file
 formats, and apply a rich set of image operations to them.
 .
 This package contains PIL API documentation and some example scripts.
 You may also want to look at the python-pil-doc-html or
 python-pil-doc-pdf packages for the PIL handbook documentation.

Package: python-imaging
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-pil
Conflicts: python-imaging-compat (<< 1.1.7+2.0.0-1.1)
Breaks: python-imaging-compat (<< 1.1.7+2.0.0-1.1)
Replaces: python-imaging-compat (<< 1.1.7+2.0.0-1.1)
Description: Python Imaging Library compatibility layer
 PIL used to provide a PIL.pth file which allowed you to `import Image` but
 this is deprecated.  Use `from PIL import Image` now, or install this
 compatibility package to temporarily get the old behavior back.
 .
 This compatibility package is built for Python 2 only.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS	:= $(shell pyversions -vr)
PYVER   := $(shell python -c 'import sys; print sys.version[:3]')

PY3VERS	:= $(shell py3versions -vr)
PY3VER   := $(shell python3 -c 'import sys; print(sys.version[:3])')

include /usr/share/python/python.mk

include /usr/share/dpkg/architecture.mk
ifneq ($(DEB_BUILD_MULTIARCH),$(DEB_HOST_MULTIARCH))
  SET_CROSS_ENV = PYTHONPATH=/usr/lib/python$$pv/plat-$(DEB_HOST_MULTIARCH)

  # FIXME: is this sufficient?
  SET_CROSS_ENV += _PYTHON_HOST_PLATFORM=$(DEB_HOST_GNU_CPU)
endif

build-arch: build
build-indep: build
build: build-stamp
build-stamp: $(PYVERS:%=build-stamp-python%) $(PY3VERS:%=build-stamp-python%)
	touch $@
build-stamp-python%:
	$(SET_CROSS_ENV) python$* setup.py build
	cd Sane && $(SET_CROSS_ENV) python$* setup.py build

	$(SET_CROSS_ENV) python$*-dbg setup.py build
	cd Sane && $(SET_CROSS_ENV) python$*-dbg setup.py build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp*
	rm -rf compile build Sane/build
	rm -rf debian/PILcompat/build
	rm -rf Pillow*.egg-info
	find -name '*.py[co]' -exec rm -f {} \;
	dh_clean

get-doc:
	wget -r --no-parent --no-host-directories --cut-dirs=2 \
		http://www.pythonware.com/library/pil/handbook/index.htm

install: build install-prereq $(PYVERS:%=install-python%) $(PY3VERS:%=install3-python%)
	dh_installdocs -ppython-pil-doc #Docs/*
	dh_installexamples -ppython-pil-doc Scripts/*

	dh_installdocs -ppython-pil README.rst

	dh_installdocs -ppython-sane Sane/sanedoc.txt
#	dh_installexamples -ppython-sane Sane/demo*.py

	: # Replace all '#!' calls to python with /usr/bin/python
	: # and make them executable
	for i in `find debian/python-pil* -mindepth 3 -type f`; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done
	for i in `find debian/python3-pil* -mindepth 3 -type f`; do \
	  sed '1s,#!.*python[^ ]*\(.*\),#! /usr/bin/python3\1,' \
		$$i > $$i.temp; \
	  if cmp --quiet $$i $$i.temp; then \
	    rm -f $$i.temp; \
	  else \
	    mv -f $$i.temp $$i; \
	    chmod 755 $$i; \
	    echo "fixed interpreter: $$i"; \
	  fi; \
	done
	for i in debian/python3-pil/usr/bin/*.py; do \
	  mv $$i debian/python3-pil/usr/bin/$$(basename $$i .py); \
	done

install-prereq:
	dh_testdir
	dh_testroot
	dh_clean -k

install-python%:
	$(SET_CROSS_ENV) python$* setup.py install --root $(CURDIR)/debian/python-pil \
		$(py_setup_install_args)
	cd Sane && $(SET_CROSS_ENV) python$* setup.py install \
		--root $(CURDIR)/debian/python-sane  $(py_setup_install_args)
	mkdir -p debian/python-pil/usr/include/python$*
	install -o root -g root -m 644 \
		libImaging/Imaging.h \
		libImaging/ImPlatform.h \
		libImaging/ImDib.h \
		debian/python-pil/usr/include/python$*

	dh_movefiles -ppython-pil.imagetk \
	    --sourcedir=debian/python-pil \
		usr/lib/python$*/$(call py_sitename_sh, $*)/PIL/_imagingtk.so \
		usr/lib/python$*/$(call py_sitename_sh, $*)/PIL/ImageTk.py

	$(SET_CROSS_ENV) python$*-dbg setup.py install \
		--root $(CURDIR)/debian/python-pil-dbg \
		$(py_setup_install_args)
	mkdir -p debian/python-pil-dbg/usr/include/python$*_d
	for i in Imaging.h ImPlatform.h ImDib.h; do \
	  ln -sf ../python$*/$$i \
	    debian/python-pil-dbg/usr/include/python$*_d/$$i; \
	done
	cd Sane && $(SET_CROSS_ENV) python$*-dbg setup.py install \
		--root $(CURDIR)/debian/python-sane-dbg  $(py_setup_install_args)

	find debian/python-pil*-dbg \
		! -type d ! \( -name '*_d.so' -o -name '*.h' \) | xargs rm -f
	find debian/python-pil*-dbg -depth -empty -exec rmdir {} \;

	dh_movefiles -ppython-pil.imagetk-dbg \
	    --sourcedir=debian/python-pil-dbg \
		usr/lib/python$*/$(call py_sitename_sh, $*)/PIL/_imagingtk_d.so

	# Install the compatibility modules for python2 only.
	cd debian/PILcompat && python$* setup.py install \
		--root $(CURDIR)/debian/python-imaging --install-layout=deb
	find debian/python-imaging -name '*.egg-info' | xargs -r rm -rf

install3-python%:
	$(SET_CROSS_ENV) python$* setup.py install \
		--root $(CURDIR)/debian/python3-pil \
		$(py_setup_install_args)
	cd Sane && $(SET_CROSS_ENV) python$* setup.py install \
		--root $(CURDIR)/debian/python3-sane  $(py_setup_install_args)

	incdir=$$(python$* -c 'import sysconfig; print(sysconfig.get_path("include"))'); \
	mkdir -p debian/python3-pil/$$incdir; \
	install -o root -g root -m 644 \
		libImaging/Imaging.h \
		libImaging/ImPlatform.h \
		libImaging/ImDib.h \
		debian/python3-pil/$$incdir

	abitag=.$$(python$* -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
	dh_movefiles -ppython3-pil.imagetk \
	    --sourcedir=debian/python3-pil \
		usr/lib/python3/$(call py_sitename_sh, $*)/PIL/_imagingtk$$abitag.so \
		usr/lib/python3/$(call py_sitename_sh, $*)/PIL/ImageTk.py

	$(SET_CROSS_ENV) python$*-dbg setup.py install \
		--root $(CURDIR)/debian/python3-pil-dbg \
		$(py_setup_install_args)

	incname=$$(basename $$(python$* -c 'import sysconfig; print(sysconfig.get_path("include"))')); \
	incddir=$$(python$*-dbg -c 'import sysconfig; print(sysconfig.get_path("include"))'); \
	mkdir -p debian/python3-pil-dbg/$$incddir; \
	for i in Imaging.h ImPlatform.h ImDib.h; do \
	  ln -sf ../$$incname/$$i \
	    debian/python3-pil-dbg/$$incddir/$$i; \
	done
	cd Sane && $(SET_CROSS_ENV) python$*-dbg setup.py install \
		--root $(CURDIR)/debian/python3-sane-dbg  $(py_setup_install_args)

	find debian/python3-pil*-dbg \
		! -type d ! \( -name '*.so' -o -name '*.h' \) | xargs rm -f
	find debian/python3-pil*-dbg -depth -empty -exec rmdir {} \;

	abitag=.$$(python$*-dbg -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
	dh_movefiles -ppython3-pil.imagetk-dbg \
	    --sourcedir=debian/python3-pil-dbg \
		usr/lib/python3/$(call py_sitename_sh, $*)/PIL/_imagingtk$$abitag.so

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installexamples -i
	dh_installchangelogs -i #CHANGES
	dh_python2 -i
	dh_link -i
	dh_compress -i -X.py
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installchangelogs -a #CHANGES
	for p in \
	  python-pil python-pil.imagetk python-sane \
	  python3-pil python3-pil.imagetk python3-sane; \
	do \
	  rm -rf debian/$$p-dbg/usr/share/doc/$$p-dbg; \
	  ln -s $$p debian/$$p-dbg/usr/share/doc/$$p-dbg; \
	done
	dh_python2 -a
	dh_python3 -a
	dh_strip -ppython-pil --dbg-package=python-pil-dbg
	dh_strip -ppython-pil.imagetk --dbg-package=python-pil.imagetk-dbg
	dh_strip -ppython-sane --dbg-package=python-sane-dbg
	dh_strip -ppython3-pil --dbg-package=python3-pil-dbg
	dh_strip -ppython3-pil.imagetk --dbg-package=python3-pil.imagetk-dbg
	dh_strip -ppython3-sane --dbg-package=python3-sane-dbg
	dh_link -a
	dh_compress -a -X.py
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## pillow 2.3.0

=== debian/changelog ===
pillow (2.3.0-1ubuntu3) trusty; urgency=medium

  * SECURITY UPDATE: insecure use of temporary files
    - debian/patches/CVE-2014-193x.patch: use tempfile.mkstemp() in
      PIL/EpsImagePlugin.py, PIL/Image.py, PIL/IptcImagePlugin.py,
      PIL/JpegImagePlugin.py.
    - CVE-2014-1932
    - CVE-2014-1933

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 31 Mar 2014 10:07:00 -0400

pillow (2.3.0-1ubuntu2) trusty; urgency=medium

  * No-change rebuild to drop Python 3.3 support.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Mar 2014 15:28:42 +0000

pillow (2.3.0-1ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Provide transitional packages.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Feb 2014 14:51:27 +0100

pillow (2.3.0-1) unstable; urgency=medium

  * New upstream version.
  * Don't ship the color profiles in the source and disable the tests
    using the profiles. Closes: #737425.
  * Support a webp file in $ADTTMP in the testsuite, and generate it in the
    autopktests. Closes: #736242.

 -- Matthias Klose <doko@debian.org>  Tue, 04 Feb 2014 15:02:06 +0100

pillow (2.2.1-3ubuntu6) trusty; urgency=medium

  * Support a webp file in $ADTTMP in the testsuite, and generate it in the
    autopktests.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 21 Jan 2014 12:11:02 +0000

pillow (2.2.1-3ubuntu5) trusty; urgency=medium

  * No-change rebuild for libwebp transition

 -- Iain Lane <iain.lane@canonical.com>  Mon, 20 Jan 2014 12:18:23 +0000

pillow (2.2.1-3ubuntu4) trusty; urgency=medium

  * No-change rebuild for Tcl/Tk 8.6.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2014 01:55:28 +0100

pillow (2.2.1-3ubuntu3) trusty; urgency=medium

  * No change rebuild for python3.4.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Dec 2013 00:54:13 +0100

pillow (2.2.1-3ubuntu2) trusty; urgency=medium

  * Include test images for the lcms2 support.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Dec 2013 15:29:17 +0100

pillow (2.2.1-3ubuntu1) trusty; urgency=medium

  * Merge with Debian; remaining changes:
    - Provide transitional packages.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Dec 2013 13:17:57 +0100

pillow (2.2.1-3) unstable; urgency=low

  * Add PngImagePlugin.py to PILcompat directory.
  * Add autopkgtest. Closes: #729462.
  * Build using lcms2.
  * Build with WebP support. Closes: #707827.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Dec 2013 12:49:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: pillow
 Section: python
 Priority: optional
-Maintainer: Matthias Klose <doko@debian.org>
-Build-Depends: debhelper, tk8.5-dev, dpkg-dev (>= 1.16.1~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Build-Depends: debhelper, tk-dev, dpkg-dev (>= 1.16.1~),
   python-all-dev (>= 2.7.3-11~), python-all-dbg, python-setuptools,
   python3-all-dev (>= 3.3), python3-all-dbg, python3-setuptools,
   python-tk, python-tk-dbg, python3-tk, python3-tk-dbg (>= 3.3),
-  libsane-dev, libfreetype6-dev, libjpeg8-dev, zlib1g-dev, liblcms1-dev,
+  libsane-dev, libfreetype6-dev, libjpeg8-dev, zlib1g-dev, liblcms2-dev,
+  libwebp-dev
 Build-Conflicts: python-numarray
 Standards-Version: 3.9.5
+XS-Testsuite: autopkgtest
 
 Package: python-pil
 Architecture: any
@@ -210,7 +213,7 @@
   python3-dbg, ${shlibs:Depends}, ${misc:Depends}
 Breaks: python3-imaging-sane-dbg (<< 1.1.7+2.0.0-1.1)
 Replaces: python3-imaging-sane-dbg (<< 1.1.7+2.0.0-1.1)
-Description: Python Imaging Library - SANE interface (Python 3debug extension)
+Description: Python Imaging Library - SANE interface (Python3 debug extension)
  The imaging-sane module is a Python interface to the SANE (Scanner
  Access is Now Easy) library, which provides access to various raster
  scanning devices such as flatbed scanners and digital cameras.
@@ -247,3 +250,55 @@
  compatibility package to temporarily get the old behavior back.
  .
  This compatibility package is built for Python 2 only.
+
+Package: python-imaging-compat
+Architecture: all
+Section: oldlibs
+Priority: extra
+Depends: ${misc:Depends}, python-imaging (>= ${binary:Version})
+Description: Dummy transitional package
+ This is a transitional package to python-imaging and can be safely
+ removed.
+
+Package: python-imaging-dbg
+Architecture: all
+Section: oldlibs
+Priority: extra
+Depends: ${misc:Depends}, python-pil-dbg (>= ${binary:Version})
+Description: Dummy transitional package
+ This is a transitional package to python-pil-dbg and can be safely
+ removed.
+
+Package: python-imaging-tk
+Architecture: all
+Section: oldlibs
+Priority: extra
+Depends: ${misc:Depends}, python-pil.imagetk (>= ${binary:Version})
+Description: Dummy transitional package
+ This is a transitional package to python-pil.imagetk and can be safely
+ removed.
+
+Package: python-imaging-tk-dbg
+Architecture: all
+Section: oldlibs
+Priority: extra
+Depends: ${misc:Depends}, python-pil.imagetk-dbg (>= ${binary:Version})
+Description: Dummy transitional package
+ This is a transitional package to python-pil.imagetk-dbg and can be
+ safely removed.
+
+Package: python-imaging-sane
+Architecture: all
+Section: oldlibs
+Priority: extra
+Depends: ${misc:Depends}, python-sane (>= ${binary:Version})
+Description: Dummy transitional package
+ This is a transitional package to python-sane and can be safely
+ removed.
+
+Package: python-imaging-sane-dbg
+Architecture: all
+Section: oldlibs
+Priority: extra
+Depends: ${misc:Depends}, python-sane-dbg (>= ${binary:Version})
+Description: Dummy transitional package

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 build-stamp: $(PYVERS:%=build-stamp-python%) $(PY3VERS:%=build-stamp-python%)
 	touch $@
 build-stamp-python%:
+#	tar xvf debian/lcms-images.tar.gz
 	$(SET_CROSS_ENV) python$* setup.py build
 	cd Sane && $(SET_CROSS_ENV) python$* setup.py build
 
@@ -40,6 +41,7 @@
 	rm -rf debian/PILcompat/build
 	rm -rf Pillow*.egg-info
 	find -name '*.py[co]' -exec rm -f {} \;
+#	rm -f $$(tar tf debian/lcms-images.tar.gz)
 	dh_clean
 
 get-doc:
@@ -144,7 +146,7 @@
 		libImaging/ImDib.h \
 		debian/python3-pil/$$incdir
 
-	abitag=.$$(python$* -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
+	abitag=.$$(python$* -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))")-$(DEB_HOST_MULTIARCH); \
 	dh_movefiles -ppython3-pil.imagetk \
 	    --sourcedir=debian/python3-pil \
 		usr/lib/python3/$(call py_sitename_sh, $*)/PIL/_imagingtk$$abitag.so \
@@ -168,7 +170,7 @@
 		! -type d ! \( -name '*.so' -o -name '*.h' \) | xargs rm -f
 	find debian/python3-pil*-dbg -depth -empty -exec rmdir {} \;
 
-	abitag=.$$(python$*-dbg -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"); \
+	abitag=.$$(python$*-dbg -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))")-$(DEB_HOST_MULTIARCH); \
 	dh_movefiles -ppython3-pil.imagetk-dbg \
 	    --sourcedir=debian/python3-pil-dbg \
 		usr/lib/python3/$(call py_sitename_sh, $*)/PIL/_imagingtk$$abitag.so

## pillow 2.6.1

=== debian/changelog ===
pillow (2.6.1-2) unstable; urgency=medium

  * Fix potential PNG decompression DOS. Closes: #776303. CVE-2014-9601.
  * Add a python-imaging-tk transitional package. Closes: #776483.

 -- Matthias Klose <doko@debian.org>  Sun, 08 Mar 2015 12:40:13 +0100

pillow (2.6.1-1) unstable; urgency=medium

  * Pillow 2.6.1 release.
  * Update jpeg build dependency. Closes: #763491.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Oct 2014 20:30:42 +0200

pillow (2.6.0-1) unstable; urgency=medium

  * Pillow 2.6.0 release.
  * Add test images missing in the release.

 -- Matthias Klose <doko@debian.org>  Thu, 02 Oct 2014 14:23:21 +0200

pillow (2.6.0~rc1-1) unstable; urgency=medium

  * Pillow 2.6.0 release candidate 1.
    - Provides distributable test image files. Closes: #760171.
    - Fix comparing an Image to anything that's not an image. Closes: #758927.

 -- Matthias Klose <doko@debian.org>  Tue, 30 Sep 2014 12:13:58 +0200

pillow (2.5.3-1) unstable; urgency=medium

  * Pillow 2.5.3 release.
    - Fix CVE-2014-3589, a DOS in the IcnsImagePlugin. Closes: #758772.
    - Fix CVE-2014-3598, a DOS in the Jpeg2KImagePlugin.
  * Build-Depend on dh-python.

 -- Matthias Klose <doko@debian.org>  Thu, 21 Aug 2014 08:56:15 +0200

pillow (2.5.1-6) unstable; urgency=medium

  * Allow stderr output for the upstream autopkg tests.

 -- Matthias Klose <doko@debian.org>  Fri, 15 Aug 2014 00:15:29 +0200

pillow (2.5.1-5) unstable; urgency=medium

  * Add python-nose, python3-nose to the autopkg test dependencies.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Aug 2014 13:10:39 +0200

pillow (2.5.1-4) unstable; urgency=medium

  * Run the tests sequentially, and increase the timeout.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Aug 2014 19:20:32 +0200

pillow (2.5.1-3) unstable; urgency=medium

  * Run tests during the build.
  * Disable running the imagecms tests.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Aug 2014 17:57:45 +0200

pillow (2.5.1-2) unstable; urgency=medium

  * Update autopkg tests for 2.5.

 -- Matthias Klose <doko@debian.org>  Sun, 10 Aug 2014 13:14:26 +0200

pillow (2.5.1-1) unstable; urgency=medium

  * Pillow 2.5.1 release.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Jul 2014 23:43:18 +0200

pillow (2.4.0-2) unstable; urgency=medium

  * Require python-tk and python3-tk versions built for Tcl/Tk 8.6.

 -- Matthias Klose <doko@debian.org>  Fri, 13 Jun 2014 13:59:57 +0200

pillow (2.4.0-1) unstable; urgency=medium

  * New upstream version.
    - Fix configuration on non-linux platforms. Closes: #745714.
    - CVE-2014-1932, CVE-2014-1933: Fix insecure use of /tmp. Closes: #737059.
  * Fix detection of Tk. Closes: #746051.

 -- Matthias Klose <doko@debian.org>  Wed, 16 Apr 2014 00:48:53 +0200

pillow (2.3.0-2) unstable; urgency=medium

  * Build for python 3.4.

 -- Matthias Klose <doko@debian.org>  Wed, 12 Feb 2014 20:41:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,25 @@
 Source: pillow
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Matthias Klose <doko@debian.org>
+Maintainer: Matthias Klose <doko@debian.org>
 Build-Depends: debhelper, tk-dev, dpkg-dev (>= 1.16.1~),
-  python-all-dev (>= 2.7.3-11~), python-all-dbg, python-setuptools,
-  python3-all-dev (>= 3.3), python3-all-dbg, python3-setuptools,
-  python-tk, python-tk-dbg, python3-tk, python3-tk-dbg (>= 3.3),
-  libsane-dev, libfreetype6-dev, libjpeg8-dev, zlib1g-dev, liblcms2-dev,
+  dh-python,
+  python2.7-dev (>= 2.7.8-4),
+  python-all-dev, python-all-dbg, python-setuptools,
+  python3-all-dev, python3-all-dbg, python3-setuptools,
+  python-tk, python-tk-dbg,
+  python3-tk, python3-tk-dbg,
+  python-nose, python3-nose,
+  libsane-dev, libfreetype6-dev, libjpeg-dev, zlib1g-dev, liblcms2-dev,
   libwebp-dev
-Build-Conflicts: python-numarray
-Standards-Version: 3.9.5
+Build-Conflicts: python-cffi, python3-cffi
+Standards-Version: 3.9.6
+Homepage: http://python-pillow.github.io/
 XS-Testsuite: autopkgtest
 
 Package: python-pil
 Architecture: any
+Multi-Arch: same
 Depends: ${python:Depends}, mime-support | python-pil.imagetk,
   ${shlibs:Depends}, ${misc:Depends}
 Suggests: python-pil-doc, python-pil-dbg
@@ -48,6 +53,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: python-pil (= ${binary:Version}), python-dbg,
   ${shlibs:Depends}, ${misc:Depends}
 Provides: python-imaging-dbg
@@ -62,7 +68,8 @@
 
 Package: python-pil.imagetk
 Architecture: any
-Depends: python-pil (= ${binary:Version}), python-tk (>= 2.5.2-1.1),
+Multi-Arch: same
+Depends: python-pil (= ${binary:Version}), python-tk (>= 2.7.7-2),
   ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: python-pil-doc, python-pil.imagetk-dbg
 Provides: ${python:Provides}, python-imaging-tk
@@ -75,6 +82,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: python-pil.imagetk (= ${binary:Version}),
   python-pil-dbg (= ${binary:Version}),
   python-dbg, ${shlibs:Depends}, ${misc:Depends}
@@ -86,8 +94,15 @@
  .
  This package contains the extension built for the Python debug interpreter.
 
+Package: python-imaging-tk
+Architecture: all
+Depends: python-pil.imagetk
+Description: transitional dummy package for smooth upgrades to python-pil.imagetk
+ This package can be safely removed.
+
 Package: python-sane
 Architecture: any
+Multi-Arch: same
 Depends: python-pil (= ${binary:Version}), ${python:Depends},
   ${shlibs:Depends}, ${misc:Depends}
 Recommends: python-tk (>= 2.5.2-1.1)
@@ -104,6 +119,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: python-sane (= ${binary:Version}),
   python-pil-dbg (= ${binary:Version}),
   python-dbg, ${shlibs:Depends}, ${misc:Depends}
@@ -119,6 +135,7 @@
 
 Package: python3-pil
 Architecture: any
+Multi-Arch: same
 Depends: ${python3:Depends}, mime-support | python3-pil.imagetk,
   ${shlibs:Depends}, ${misc:Depends}
 Suggests: python-pil-doc, python3-pil-dbg
@@ -153,6 +170,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: python3-pil (= ${binary:Version}), python3-dbg,
   ${shlibs:Depends}, ${misc:Depends}
 Breaks: python3-imaging-dbg (<< 1.1.7+2.0.0-1.1)
@@ -166,8 +184,9 @@
 
 Package: python3-pil.imagetk
 Architecture: any
+Multi-Arch: same
 Depends: python3-pil (= ${binary:Version}),
-  python3-tk (>= 2.5.2-1.1),
+  python3-tk (>= 3.4.1-2),
   ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: python-pil-doc, python3-pil.imagetk-dbg
 Provides: ${python:Provides}
@@ -192,6 +211,7 @@
 
 Package: python3-sane
 Architecture: any
+Multi-Arch: same
 Depends: python3-pil (= ${binary:Version}), ${python3:Depends},
   ${shlibs:Depends}, ${misc:Depends}
 Recommends: python3-tk (>= 2.5.2-1.1)
@@ -208,6 +228,7 @@
 Section: debug
 Priority: extra
 Architecture: any
+Multi-Arch: same
 Depends: python3-sane (= ${binary:Version}),
   python3-pil-dbg (= ${binary:Version}),
   python3-dbg, ${shlibs:Depends}, ${misc:Depends}
@@ -250,55 +271,3 @@
  compatibility package to temporarily get the old behavior back.
  .
  This compatibility package is built for Python 2 only.
-
-Package: python-imaging-compat
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: ${misc:Depends}, python-imaging (>= ${binary:Version})
-Description: Dummy transitional package
- This is a transitional package to python-imaging and can be safely
- removed.
-
-Package: python-imaging-dbg
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: ${misc:Depends}, python-pil-dbg (>= ${binary:Version})
-Description: Dummy transitional package
- This is a transitional package to python-pil-dbg and can be safely
- removed.
-
-Package: python-imaging-tk
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: ${misc:Depends}, python-pil.imagetk (>= ${binary:Version})
-Description: Dummy transitional package
- This is a transitional package to python-pil.imagetk and can be safely
- removed.
-
-Package: python-imaging-tk-dbg
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: ${misc:Depends}, python-pil.imagetk-dbg (>= ${binary:Version})
-Description: Dummy transitional package
- This is a transitional package to python-pil.imagetk-dbg and can be
- safely removed.
-
-Package: python-imaging-sane
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: ${misc:Depends}, python-sane (>= ${binary:Version})
-Description: Dummy transitional package
- This is a transitional package to python-sane and can be safely
- removed.
-
-Package: python-imaging-sane-dbg
-Architecture: all
-Section: oldlibs
-Priority: extra
-Depends: ${misc:Depends}, python-sane-dbg (>= ${binary:Version})
-Description: Dummy transitional package

=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 build-arch: build
 build-indep: build
 build: build-stamp
-build-stamp: $(PYVERS:%=build-stamp-python%) $(PY3VERS:%=build-stamp-python%)
+build-stamp: $(PYVERS:%=build-stamp-python%) $(PY3VERS:%=build-stamp-python%) $(PYVERS:%=check-stamp-python%) $(PY3VERS:%=check-stamp-python%)
 	touch $@
 build-stamp-python%:
 #	tar xvf debian/lcms-images.tar.gz
@@ -31,6 +31,22 @@
 
 	$(SET_CROSS_ENV) python$*-dbg setup.py build
 	cd Sane && $(SET_CROSS_ENV) python$*-dbg setup.py build
+	touch $@
+
+pillow_tests = $(wildcard Tests/test*.py)
+
+check-stamp-python%:
+ifeq ($(DEB_BUILD_MULTIARCH),$(DEB_HOST_MULTIARCH))
+	: # run the tests for the debug interpreter, but continue in case of error
+	rm -rf tmp
+	mkdir -p tmp
+	ln -s ../Tests tmp/Tests
+	ln -s ../build tmp/build
+	@echo BEGIN python$*-dbg tests
+	-cd tmp && python$*-dbg ../debian/test-built.py --processes=1 --process-timeout=90 $(pillow_tests)
+	@echo BEGIN python$* tests
+	-cd tmp && python$* ../debian/test-built.py --processes=1 --process-timeout=90 $(pillow_tests)
+endif
 	touch $@
 
 clean:
@@ -41,7 +57,9 @@
 	rm -rf debian/PILcompat/build
 	rm -rf Pillow*.egg-info
 	find -name '*.py[co]' -exec rm -f {} \;
+	find -type d -name __pycache__ | xargs -r rm -rf
 #	rm -f $$(tar tf debian/lcms-images.tar.gz)
+	rm -rf tmp
 	dh_clean
 
 get-doc:
@@ -218,10 +236,3 @@
 	dh_compress -a -X.py
 	dh_fixperms -a
 	dh_installdeb -a
-	dh_shlibdeps -a
-	dh_gencontrol -a
-	dh_md5sums -a
-	dh_builddeb -a
-
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
